# kari

function readline() {
    var ist = new java.io.InputStreamReader(java.lang.System.in);
    var bre = new java.io.BufferedReader(ist);
    var line = bre.readLine();
    return line;
}
    
let input = "";

while (true) {
    write("JSON形式の配列を入力してくださいC-dで終了): ");
    str=readline();
    if (!str) break;	// C-dでEOFとなって null が返る
    input += str;
}

const data = JSON.parse(input);

const evenNumbers = data.filter((num) => num % 2 === 0);

print("偶数の要素:");
print(JSON.stringify(evenNumbers));
